/*!
 * Pfarrplaner
 *
 * @package Pfarrplaner
 * @author Christoph Fischer <chris@toph.de>
 * @copyright (c) Christoph Fischer, https://christoph-fischer.org
 * @license https://www.gnu.org/licenses/gpl-3.0.txt GPL 3.0 or later
 * @link https://codeberg.org/pfarr.tools/pfarrplaner
 * @version git: $Id$
 *
 * Sponsored by: Evangelischer Kirchenbezirk Balingen, https://www.kirchenbezirk-balingen.de
 *
 * Pfarrplaner is based on the Laravel framework (https://laravel.com).
 * This file may contain code created by Laravel's scaffolding functions.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/*--------------------------------------------------------------
# Hero Section
--------------------------------------------------------------*/
#hero {
  width: 100%;
  background: url("../img/hero-bg.jpg");
  position: relative;
  padding: 120px 0 0 0;

  &:before {
    content: "";
    background: rgba(darken($secondary, 30), 0.91);
    position: absolute;
    bottom: 0;
    top: 0;
    left: 0;
    right: 0;
  }

  h1 {
    margin: 0 0 20px 0;
    font-size: 48px;
    font-weight: 700;
    line-height: 56px;
    color: rgba($white, .8);

    span {
      color: $white;
      border-bottom: 4px solid $primary;
    }
  }

  h2 {
    color: rgba($white, .8);
    margin-bottom: 40px;
    font-size: 24px;
  }

  .btn-get-started {
    font-family: $font-primary;
    font-weight: 500;
    font-size: 16px;
    letter-spacing: 1px;
    display: inline-block;
    padding: 10px 30px;
     border-radius: 0;
    transition: 0.5s;
    color: #fff;
    background: $primary;
    &:hover {
      background: darken($primary, 5);
    }
  }

  .animated {
    animation: up-down 2s ease-in-out infinite alternate-reverse both;
  }

  @media (min-width: 1024px) {
    background-attachment: fixed;
  }

  @media (max-width: 991px) {

    padding-top: 80px;

    .animated {
      animation: none;
    }

    .hero-img {
      text-align: center;
      img {
        max-width: 50%;
      }
    }

    h1 {
      font-size: 28px;
      line-height: 32px;
      margin-bottom: 10px;
    }

    h2 {
      font-size: 18px;
      line-height: 24px;
      margin-bottom: 30px;
    }

  }

  @media (max-width: 575px) {

    .hero-img img {
      width: 80%;
    }

  }

}

@keyframes up-down {
  0% {
    transform: translateY(10px);
  }
  100% {
    transform: translateY(-10px);
  }
}

.hero-waves  {
  display: block;
  margin-top: 60px;
  width: 100%;
  height: 60px;
  //max-height: 60px;
  z-index:5;
  position: relative;
}

.wave1 use {
  animation: move-forever1 10s linear infinite;
  animation-delay: -2s;
}
.wave2 use {
  animation: move-forever2 8s linear infinite;
  animation-delay: -2s;
}

.wave3 use {
  animation: move-forever3 6s linear infinite;
  animation-delay: -2s;
}

@keyframes move-forever1 {
  0% {
    transform: translate(85px, 0%);
  }
  100% {
    transform: translate(-90px, 0%);
  }
}

@keyframes move-forever2 {
  0% {
    transform: translate(-90px, 0%);
  }
  100% {
    transform: translate(85px, 0%);
  }
}

@keyframes move-forever3 {
  0% {
    transform: translate(-90px, 0%);
  }
  100% {
    transform: translate(85px, 0%);
  }
}


